<?php

/* 
Plugin Name: JReviews Deploy
Requires PHP: 8.1
Plugin URI: https://www.jreviews.com
Description: JReviews Deploy
Version: 1.0.5
Author: ClickFWD
Author URI: https://www.jreviews.com
License: GNU GPL version 3 or later
*/

defined('ABSPATH') or die;

use JReviewsDeploy\Controllers\DeployController;
use JReviewsDeploy\Services\PluginUpdateService;

define('JREVIEWSDEPLOY_BACKOFFICE_UPDATES_URL', 'https://backoffice.jreviews.com');
define('JREVIEWSDEPLOY_BACKOFFICE_API_URL', 'https://backoffice.jreviews.com/api');

require_once __DIR__.'/src/functions.php';
require_once __DIR__.'/src/Controllers/DeployController.php';
require_once __DIR__.'/src/Services/AppStoreService.php';
require_once __DIR__.'/src/Services/PluginUpdateService.php';

add_filter('self_admin_url', function($url, $path, $scheme) {
    if (str_starts_with($path, 'plugin-install.php?tab=plugin-information&plugin=jreviews-deploy')) {
        return 'https://www.jreviews.com?TB_iframe=true&width=640&height=66';
    }

    return $url;
}, 3, 10);

add_filter('pre_set_site_transient_update_plugins', function($transient) 
{
    $plugin = 'jreviewsdeploy/jreviewsdeploy.php';

    if ($transient->checked[$plugin] ?? null) {
        $service = new PluginUpdateService();
    
        $hasUpdateAvailable = $service->checkUpdates($transient->checked[$plugin]);

        if ($hasUpdateAvailable) {
            $transient->response[$plugin] = $hasUpdateAvailable;
        }
    }
    
    return $transient;
});

$page = $_REQUEST['page'] ?? null;

$controller = new DeployController();
