<?php

namespace JReviewsDeploy\Services;

defined('ABSPATH') or die;

class PluginUpdateService
{
    public function checkUpdates($currentVersion)
    {
        $response = wp_remote_get(JREVIEWSDEPLOY_BACKOFFICE_UPDATES_URL . '/updates/wordpress/manifests/jreviewsdeploy', [
            'sslverify' => false,
        ]);
    
        if (! is_wp_error($response) && $response['response']['code'] == 200) {
            $update_data = json_decode($response['body']);

            $icons = $update_data->icons;

            $banners = $update_data->banners;

            $update_data->icons = (array) $icons;

            $update_data->banners = (array) $banners;

            if ($update_data && version_compare($update_data->new_version, $currentVersion, '>')) {
                return $update_data;
            }

            return false;
        }
    }
}